org.json

## Annotation Type JSONPropertyName

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface JSONPropertyName

Use this annotation on a getter method to override the Bean name parser for Bean -> JSONObject mapping. A value set to empty string `""` will have the Bean parser fall back to the default field name processing.

### Required Element Summary

Required Elements
`String` `value` The value of the JSON property.

### Element Detail

#### value

    public abstract String value

The value of the JSON property.

Returns:
  The name of the property as to be used in the JSON Object.